## visad.java3d
Class VisADCanvasJ3D

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              javax.media.j3d.Canvas3D
                  visad.java3d.VisADCanvasJ3D

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Serializable

public class VisADCanvasJ3D
extends javax.media.j3d.Canvas3D

VisADCanvasJ3D is the VisAD extension of Canvas3D

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Canvas
`Canvas.AccessibleAWTCanvas`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`(package private) boolean` `captureFlag`
`(package private) BufferedImage` `captureImage`
`(package private) Dimension` `prefSize`

Fields inherited from class javax.media.j3d.Canvas3D
`FIELD_ALL, FIELD_LEFT, FIELD_RIGHT`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`VisADCanvasJ3D(DisplayRendererJ3D renderer)` Create the canvase for the renderer.
`VisADCanvasJ3D(DisplayRendererJ3D renderer, GraphicsConfiguration config)` Create the canvase for the renderer with the specified configuration.
`VisADCanvasJ3D(DisplayRendererJ3D renderer, int w, int h)` Constructor for offscreen rendering.

Method Summary
`static GraphicsConfiguration` `getDefaultConfig()` Get the default configuration.
`boolean` `getOffscreen()` See if this is an offscreen rendering.
`Dimension` `getPreferredSize()` Get the preferred size of this canvas
`static int` `getTextureHeightMax()` Get the maximum texture height supported by this display
`static int` `getTextureWidthMax()` Get the maximum texture width supported by this display
`static void` `main(String[] args)` Method to test this class
`void` `postSwap()` Override base class method for grabbing image.
`void` `renderField(int i)` Render the readout for the field at index.
`(package private) void` `setComponent(Component c)` Set the component for this canvas.
`(package private) void` `setDisplay()` Set the display associated with this canvas (from renderer)
`void` `setPreferredSize(Dimension size)` Set the preferred size of this canvas
`void` `stop()` Stop the applet

Methods inherited from class javax.media.j3d.Canvas3D

`addNotify, getBounds, getBounds, getCenterEyeInImagePlate, getDoubleBufferAvailable, getDoubleBufferEnable, getGraphics2D, getGraphicsContext3D, getHeight, getImagePlateToVworld, getInverseVworldProjection, getLeftEyeInImagePlate, getLeftManualEyeInImagePlate, getLocation, getLocation, getLocationOnScreen, getMonoscopicViewPolicy, getOffScreenBuffer, getOffScreenLocation, getOffScreenLocation, getPhysicalHeight, getPhysicalWidth, getPixelLocationFromImagePlate, getPixelLocationInImagePlate, getPixelLocationInImagePlate, getRightEyeInImagePlate, getRightManualEyeInImagePlate, getSceneAntialiasingAvailable, getScreen3D, getSize, getSize, getStereoAvailable, getStereoEnable, getView, getVworldProjection, getVworldToImagePlate, getWidth, getX, getY, isOffScreen, isRendererRunning, isShadingLanguageSupported, paint, postRender, preRender, queryProperties, removeNotify, renderOffScreenBuffer, setDoubleBufferEnable, setLeftManualEyeInImagePlate, setMonoscopicViewPolicy, setOffScreenBuffer, setOffScreenLocation, setOffScreenLocation, setRightManualEyeInImagePlate, setStereoEnable, startRenderer, stopRenderer, swap, waitForOffScreenRendering`

Methods inherited from class java.awt.Canvas
`createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefSize

    Dimension prefSize

### captureFlag

    boolean captureFlag

### captureImage

    BufferedImage captureImage

Constructor Detail

### VisADCanvasJ3D

    public VisADCanvasJ3D(DisplayRendererJ3D renderer)

  Create the canvase for the renderer.

Parameters:
  `renderer` - the renderer for this canvas

### VisADCanvasJ3D

    public VisADCanvasJ3D(DisplayRendererJ3D renderer,
                          GraphicsConfiguration config)

  Create the canvase for the renderer with the specified configuration.

Parameters:
  `renderer` - the renderer for this canvas
  `config` - GraphicsConfiguration (may be null - in which case a default configuration is used)

### VisADCanvasJ3D

    public VisADCanvasJ3D(DisplayRendererJ3D renderer,
                          int w,
                          int h)
                   throws VisADException

  Constructor for offscreen rendering.

Parameters:
  `renderer` - renderer to use
  `w` - width of canvas
  `h` - height of canvas

Method Detail

### getDefaultConfig

    public static GraphicsConfiguration getDefaultConfig()

  Get the default configuration.

  Returns:
    the default configuration

### setComponent

    void setComponent(Component c)

  Set the component for this canvas.

  Parameters:
    `c` - Component to use

### setDisplay

    void setDisplay()

  Set the display associated with this canvas (from renderer)

### getOffscreen

    public boolean getOffscreen()

  See if this is an offscreen rendering.

  Returns:
    true if offscreen.

### renderField

    public void renderField(int i)

  Render the readout for the field at index.

  Parameters:
    `i` - index.

### postSwap

    public void postSwap()

  Override base class method for grabbing image.

### getPreferredSize

    public Dimension getPreferredSize()

  Get the preferred size of this canvas

  Returns:
    the preferred size

### setPreferredSize

    public void setPreferredSize(Dimension size)

  Set the preferred size of this canvas

  Parameters:
    `size` - the preferred size

### getTextureWidthMax

    public static int getTextureWidthMax()

  Get the maximum texture width supported by this display

  Returns:
    the maximum texture width

### getTextureHeightMax

    public static int getTextureHeightMax()

  Get the maximum texture height supported by this display

  Returns:
    the maximum texture height

### main

    public static void main(String[] args)
                     throws RemoteException,
                            VisADException

  Method to test this class

  Throws:
    `RemoteException`
    `VisADException`

### stop

    public void stop()

  Stop the applet